ColorZilla não funcionando em Linux

Tenho muitas Extensões para o navegador Firefox instaladas, quase todas da lista neste link, tanto em Windows quanto em Linux Ubuntu.

Mas há vários dias — não sei dizer exatamente quando ou como começou — meu Firefox 2 em Linux (Ubuntu) estava com comportamentos estranhos em relação a extensões.

Toda vez que alguma extensão era atualizada, o Firefox não reiniciava normalmente. Iniciando pelo console, via-se que a tentativa de execução em seguida resultava em “Segmentation fault (Core dumped)”. Mais uma ou duas tentativas de execução do Firefox e aí sim ele abria.

Também observei que algumas extensões instaladas estavam inoperantes (exemplos: Update Notifier, Download Statusbar).

Supus que alguma extensão problemática era a raiz do problema. Parti então para o trabalho mais chato, porém preciso. Primeiro, apaguei toda as configurações pessoais do Firefox em meu diretório home (rm -rf ~/.mozilla/). Depois, segui repetidamente estes passos: instalar uma extensão de cada vez; sair do Firefox; e, em seguida, iniciar o programa novamente pela linha de comando (firefox), para o caso de alguma mensagem de erro ser exibida na console.

Após um longo e tedioso trabalho, finalmente quando instalei a extensão ColorZilla — uma ferramenta para identificar cores (RGB) em qualquer parte da tela/página no Firefox — a tentativa de reiniciar o Firefox em seguida gerou o famigerado Segmentation fault (Core dumped).

Esta é a minha configuração onde observei o erro:

Não sei dizer se o erro ocorre com outras combinações de versões, mas tenha cuidado ao utilizar o ColorZilla em Linux, principalmente se você está com um cenário de problema similar ao meu.

Nota: Já no meu Windows, o ColorZilla está funcionando normal.

Eis algumas referências a respeito que encontrei na Internet:

2 Replies to “ColorZilla não funcionando em Linux”

  1. André: Obrigado pela dica.

    Experimentei agora o ColorZilla v2 Beta (identificado como versão 1.9) no Ubuntu 7.10 com Firefox 2.0.0.11, instalando a partir de http://www.colorzilla.com/ (que redireciona para http://www.iosart.com/firefox/colorzilla/).

    http://www.iosart.com/blog/2008/01/07/colorzilla-v2-is-here/
    http://pages.colorzilla.com/welcome/new/?firefox/2.0.0.11/-/1.9

    Realmente, está listado como uma novidade do ColorZilla v2 o suporte a Ubuntu (gcc4 based build included). O blog explica que há uma diferença na versão de compilador GCC usado no Firefox do Ubuntu que era causa de incompatibilidade com o módulo eyedropper (ferramenta “conta-gotas”, o capturador de cor).

    Contudo, o Firefox reiniciou sem erro após a instalação do ColorZilla 1.9 beta, mas a tentativa de buscar uma cor da tela retorna a mensagem:

    Erro de instalação ou a busca de cor não é suportada pela sua plataforma.

    O Firebug, para o qual o ColorZilla v2 anuncia suporte/integração, ficou inoperante com o ColorZilla 1.9 beta instalado.

    As páginas do ColorZilla v2 sugerem a utilização do Firefox baixado diretamente de mozilla.com. Estou utilizando o Firefox incluso na distribuição original do Ubuntu 7.10. Não cheguei a testar ainda instalar o Firefox de mozilla.com e ver se o ColorZilla funciona com ele no Ubuntu.

    Por enquanto, prefiro remover o ColorZilla e continuar usando o Firefox do Ubuntu, na esperança de que até a versão 2.0 final do ColorZilla esses problemas de compatibilidade sejam resolvidos.

Deixe uma resposta

O seu endereço de e-mail não será publicado. Campos obrigatórios são marcados com *